package com.seatel.mobilehall.ui.profile.activity;

import android.content.Context;

import com.seatel.mobilehall.ui.base.activity.BaseActivity;
import com.seatel.mobilehall.ui.profile.model.ScanModuleEnum;

import at.nineyards.anyline.models.AnylineScanResult;
import io.anyline.view.ScanView;

public abstract class ScanningConfigurationActivity extends BaseActivity {

    protected abstract ScanView getScanView();

    /**
     * @return the module type view {@link ScanModuleEnum scanModule}
     */
    protected abstract ScanModuleEnum.ScanModule getScanModule();


    protected <T extends AnylineScanResult> void setupScanProcessView(Context context, T result, ScanModuleEnum.ScanModule scanModule) {


        try {

        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    protected void setupScanResult() {

    }
}